%define anolis_release 2

Name:           perl-XML-SAX-Base
Version:        1.09
Release:        %{anolis_release}%{?dist}
Summary:        Base class SAX drivers and filters
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/XML-SAX-Base
Source0:        https://cpan.metacpan.org/authors/id/G/GR/GRANTM/XML-SAX-Base-%{version}.tar.gz
BuildArch:      noarch
BuildRequires: make
BuildRequires:  coreutils
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(overload)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
Conflicts:      perl-XML-SAX < 0.99-1

%global our_docdir %{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}

%description
This module has a very simple task - to be a base class for Perl SAX drivers
and filters. Its default behavior is to pass the input directly to the
output unchanged. It can be useful to use this module as a base class so
you don't have to, for example, implement the characters() callback.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n XML-SAX-Base-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{our_docdir}
mv $RPM_BUILD_ROOT%{perl_vendorlib}/XML/SAX/BuildSAXBase.pl $RPM_BUILD_ROOT%{our_docdir}

%check
make test

%files
%doc BuildSAXBase.pl
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc Changes README

%changelog
* Thu Mar 30 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.09-2
- Del Specific Fields

* Wed Feb 15 2023 happy_orange <songnannan@linux.alibaba.com> - 1.09-1
- package import to anolis23
